Drains the entire contents of the input buffer and places them into buf

- « EventBufferEvent::read

- EventBufferEvent::setCallbacks »

- PHP Manual
- EventBufferEvent
- Drains the entire contents of the input buffer and places them into buf

# EventBufferEvent::readBuffer

(PECL event >= 1.2.6-beta)

EventBufferEvent::readBuffer — Drains the entire contents of the input buffer and places them into buf

### Description

public EventBufferEvent::readBuffer( EventBuffer `$buf` ): bool

Drains the entire contents of the input buffer and places them into `buf` .

### Parameters

`buf`

  Target buffer

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- EventBufferEvent::read() - Read buffer's data